net.sf.jasperreports.engine.util

## Class JRDataUtils

- java.lang.Object
- - net.sf.jasperreports.engine.util.JRDataUtils

-     public final class JRDataUtils
      extends java.lang.Object

  Version:
    $Id: JRDataUtils.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `JULIAN_0000`
    `static double` | `JULIAN_1900`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `getExcelSerialDayNumber(java.util.Date date, java.util.Locale locale, java.util.TimeZone timeZone)`
    `static double` | `getGregorianToJulianDay(int year, int month, int day)`
    `static java.util.Locale` | `getLocale(java.lang.String code)`
    `static java.lang.String` | `getLocaleCode(java.util.Locale locale)`
    `static java.util.TimeZone` | `getTimeZone(java.lang.String id)`
    `static java.lang.String` | `getTimeZoneId(java.util.TimeZone tz)`
    `static boolean` | `isLeapYear(int year)`
    `static java.util.Date` | `translateToTimezone(java.util.Date value, java.util.TimeZone tz)` Returns a translated date value that has the same fields in a specified timezone as the passed value in the default timezone.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JULIAN_0000

          public static final double JULIAN_0000

      See Also:
        Constant Field Values

    - #### JULIAN_1900

          public static final double JULIAN_1900

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getLocaleCode

          public static java.lang.String getLocaleCode(java.util.Locale locale)

    - #### getLocale

          public static java.util.Locale getLocale(java.lang.String code)

    - #### getTimeZoneId

          public static java.lang.String getTimeZoneId(java.util.TimeZone tz)

    - #### getTimeZone

          public static java.util.TimeZone getTimeZone(java.lang.String id)

    - #### getExcelSerialDayNumber

          public static double getExcelSerialDayNumber(java.util.Date date,
                                       java.util.Locale locale,
                                       java.util.TimeZone timeZone)

    - #### getGregorianToJulianDay

          public static double getGregorianToJulianDay(int year,
                                       int month,
                                       int day)

    - #### isLeapYear

          public static boolean isLeapYear(int year)

    - #### translateToTimezone

          public static java.util.Date translateToTimezone(java.util.Date value,
                                           java.util.TimeZone tz)

      Returns a translated date value that has the same fields in a specified timezone as the passed value in the default timezone.
      Parameters:
        `value` - the value to translate
        `tz` - the timezone to translate to
      Returns:
        the date translated to the specified timezone

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com